/bills/verify_transactionGETtranx_id. Use this for every queued purchase and before retrying.| HTTP | Meaning |
200 | Successful |
400 | Still pending, check again later |
417 | Failed and refunded to your wallet |
404 | No bill with this tranx_id |
tranx_id you sent when buying.10success when the request did what you asked.null on most errors.success when the request did what you asked.null on most errors.success when the request did what you asked.null on most errors.success when the request did what you asked.null on most errors.success when the request did what you asked.null on most errors.curl -X GET "https://api.sendcheap.us/apps/business/bills/verify_transaction?tranx_id=ACME-20261121-000184" \ -H "Authorization: Bearer <token>"
{ "status": "success", "message": "transaction successful", "data": { "order_id": "ACME-20261121-000184", "network": "MTN", "amount": "1000.00", "charge": "0.00", "phone": "08031234567", "balance_state": "{\"balance_before\":\"250,000.0000\",\"balance_after\":\"249,000.0000\"}", "created_at": "2026-11-21 10:15:02", "updated_at": "2026-11-21 10:15:02", "percent": "0", "channel": "APP", "app_meta_data": null, "tranx_name": "AIRTIME PURCHASE", "status_name": "SUCCESSFUL", "bill_tranx_id": 81234 } }